Module java.management
Package javax.management

## Class Attribute

- java.lang.Object
- - javax.management.Attribute

All Implemented Interfaces:
  `Serializable`

    public class Attribute
    extends Object
    implements Serializable

Represents an MBean attribute by associating its name with its value. The MBean server and other objects use this class to get and set attributes values.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
`Attribute​(String name, Object value)` Constructs an Attribute object which associates the given attribute name with the given value.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object object)` Compares the current Attribute Object with another Attribute Object.
`String` `getName()` Returns a String containing the name of the attribute.
`Object` `getValue()` Returns an Object that is the value of this attribute.
`int` `hashCode()` Returns a hash code value for this attribute.
`String` `toString()` Returns a String object representing this Attribute's value.

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Attribute

    public Attribute​(String name,
                     Object value)

Constructs an Attribute object which associates the given attribute name with the given value.

Parameters:
  `name` - A String containing the name of the attribute to be created. Cannot be null.
  `value` - The Object which is assigned to the attribute. This object must be of the same type as the attribute.

### Method Detail

#### getName

    public String getName()

Returns a String containing the name of the attribute.

Returns:
  the name of the attribute.

#### getValue

    public Object getValue()

Returns an Object that is the value of this attribute.

Returns:
  the value of the attribute.

#### equals

    public boolean equals​(Object object)

Compares the current Attribute Object with another Attribute Object.

Overrides:
  `equals` in class `Object`
Parameters:
  `object` - The Attribute that the current Attribute is to be compared with.
Returns:
  True if the two Attribute objects are equal, otherwise false.
See Also:
  `Object.hashCode()`, `HashMap`

#### hashCode

    public int hashCode()

Returns a hash code value for this attribute.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this attribute.
See Also:
  `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

#### toString

    public String toString()

Returns a String object representing this Attribute's value. The format of this string is not specified, but users can expect that two Attributes return the same string if and only if they are equal.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object.